summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/GentiumPlus/GentiumPlus.SlackBuild64
-rw-r--r--system/GentiumPlus/GentiumPlus.info10
-rw-r--r--system/GentiumPlus/README4
-rw-r--r--system/GentiumPlus/doinst.sh11
-rw-r--r--system/GentiumPlus/slack-desc19
5 files changed, 108 insertions, 0 deletions
diff --git a/system/GentiumPlus/GentiumPlus.SlackBuild b/system/GentiumPlus/GentiumPlus.SlackBuild
new file mode 100644
index 0000000000..47a2c87ba9
--- /dev/null
+++ b/system/GentiumPlus/GentiumPlus.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for GentiumPlus
+
+# Copyright 2014 Dugan Chen Canada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=GentiumPlus
+VERSION=${VERSION:-1.510}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/TTF
+cp -a GentiumPlus-I.ttf GentiumPlus-R.ttf $PKG/usr/share/fonts/TTF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ FONTLOG.txt OFL-FAQ.txt README.txt GENTIUM-FAQ.txt OFL.txt documentation/ \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-noarch-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/GentiumPlus/GentiumPlus.info b/system/GentiumPlus/GentiumPlus.info
new file mode 100644
index 0000000000..f8c4881220
--- /dev/null
+++ b/system/GentiumPlus/GentiumPlus.info
@@ -0,0 +1,10 @@
+PRGNAM="GentiumPlus"
+VERSION="1.510"
+HOMEPAGE="http://scripts.sil.org/cms/scripts/page.php?item_id=Gentium"
+DOWNLOAD="http://duganchen.ca/files/GentiumPlus-1.510.zip"
+MD5SUM="4d0ebe6492b2b3fa7538f47f3a4bcc65"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dugan Chen"
+EMAIL="thedoogster [at] gmail [dot] com"
diff --git a/system/GentiumPlus/README b/system/GentiumPlus/README
new file mode 100644
index 0000000000..205de87bc4
--- /dev/null
+++ b/system/GentiumPlus/README
@@ -0,0 +1,4 @@
+Gentium Plus is a typeface family designed to enable the diverse ethnic groups
+around the world who use the Latin, Cyrillic and Greek scripts to produce
+readable, high-quality publications. It supports a wide range of Latin- and
+Cyrillic-based alphabets.
diff --git a/system/GentiumPlus/doinst.sh b/system/GentiumPlus/doinst.sh
new file mode 100644
index 0000000000..8a9958fde1
--- /dev/null
+++ b/system/GentiumPlus/doinst.sh
@@ -0,0 +1,11 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir -o -x /usr/X11R6/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/GentiumPlus/slack-desc b/system/GentiumPlus/slack-desc
new file mode 100644
index 0000000000..b7cb4907d1
--- /dev/null
+++ b/system/GentiumPlus/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+GentiumPlus: GentiumPlus (a typeface for the nations)
+GentiumPlus:
+GentiumPlus: Gentium Plus is a typeface family designed to enable the diverse
+GentiumPlus: ethnic groups around the world who use the Latin, Cyrillic and Greek
+GentiumPlus: scripts to produce readable, high-quality publications. It supports a
+GentiumPlus: wide range of Latin- and Cyrillic-based alphabets.
+GentiumPlus:
+GentiumPlus: http://scripts.sil.org/cms/scripts/page.php?item_id=Gentium
+GentiumPlus:
+GentiumPlus:
+GentiumPlus: